Package org.jfree.layouting.modules.output.html

## Class FileSystemURLRewriter

- java.lang.Object
- - org.jfree.layouting.modules.output.html.FileSystemURLRewriter

- All Implemented Interfaces:
    `URLRewriter`

      public class FileSystemURLRewriter
      extends java.lang.Object
      implements URLRewriter

  This URL rewriter assumes that the content repository is an URL based repository and that each content entity can be resolved to an URL.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSystemURLRewriter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument, org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemURLRewriter

          public FileSystemURLRewriter​()

  - ### Method Detail

    - #### rewrite

          public java.lang.String rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument,
                                          org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)
                                   throws URLRewriteException

      Specified by:
        `rewrite` in interface `URLRewriter`
      Throws:
        `URLRewriteException`